SYSTEMD-INHIBIT(1)

BEZEICHNUNG
systemd-inhibit - Ein Programm mit gesetzter Unterdrückungssperre ausführen

ÜBERSICHT

systemd-inhibit [OPTIONEN…] [BEFEHL] [ARGUMENTE…]

systemd-inhibit [OPTIONEN…] --list

BESCHREIBUNG

systemd-inhibit kann zum Ausführen eines Programms verwandt werden, während die Herunterfahr-, Schlaf- oder Leerlauf-Unterdrückungssperre gesetzt ist. Die Sperre wird vor der Ausführung des festgelegten Befehls erlangt und danach wieder freigegeben.

Unterdrückungssperren können zum Blocken oder Verzögern von Anfragen des Benutzer zum Systemschlaf und Herunterfahren sowie zur automatischen Leerlaufhandhabung des Betriebssystems verwandt werden. Dies ist nützlich, um Systemsuspendierungen zu vermeiden, während optische Platten bespielt werden oder ähnliche Aktionen stattfinden, die nicht unterbrochen werden sollten.

Für weitere Informationen siehe die Entwicklerdokumentation für Unterdrückungssperren[1].

OPTIONEN

Die folgenden Optionen werden verstanden:

--what=
    Akzeptiert eine Doppelpunkt-getrennte Liste von einer oder mehrerer zu unterdrückenden Aktionen: »shutdown«, »sleep«, »idle«, »handle-power-key«, »handle-suspend-key«, »handle-hibernate-key«, »handle-lid-switch« zum Unterdrücken von Neustart/Ausschalten/Halten/Kexec, Supendierung/Ruhen, der automatischen Leerlauferkennung bzw. dem maschinennahen Umgang mit der Einschalt-/Schlaftaste und dem Deckelschalter. Falls er fehlt, ist die Vorgabe »idle:sleep:shutdown«.

--who=
    Akzeptiert eine kurze, menschenlesbare beschreibende Zeichenkette für das Programm, das diese Sperre setzt. Falls nicht angegeben ist, ist die Vorgabe die Befehlszeilenzeichenkette.

--why=
    Akzeptiert eine kurze, menschenlesbare beschreibende Zeichenkette für den Grund für das Setzen der Sperre. Standardmäßig »Unknown reason«.

--mode=
    Akzeptiert entweder »block« oder »delay« und beschreibt, wie die Sperre angewandt wird. Falls (die Vorgabe) »block« verwandt wird, verhindert die Sperre jede der angeforderten Aktionen ohne Zeitbeschränkung und nur privilegierte Benutzer dürfen sie außer Kraft setzen. Falls »delay« verwandt wird, kann die Sperre nur die angeforderten Aktionen für eine begrenzte Zeit verzögern. Falls die Zeit abläuft, wird die Sperre ignoriert und die Aktion ausgeführt. Die Zeitbeschränkung kann in logind.conf(5) festgelegt werden. Beachten Sie, dass »delay« nur für »sleep« und »shutdown« verfügbar ist.

--list
    Listet alle aktiven Unterdrückungssperren auf, statt welche zu erlangen.

--no-pager
    Die Ausgabe nicht an ein Textanzeigeprogramm weiterleiten.

--no-legend
    Gibt die Legende nicht aus, d.h. die Spaltenköpfe und die Fußzeile mit Hinweisen.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Liefert den Exit-Status des ausgeführten Programms zurück.

BEISPIEL

    # systemd-inhibit wodim foobar.iso

Dies brennt das ISO-Image foobar.iso mittels wodim(1) auf eine CD und verhindert dabei den Systemschlaf, das Systemherunterfahren und den Leerlauf.

UMGEBUNGSVARIABLEN

$SYSTEMD_PAGER
    Zu verwendendes Textanzeigeprogramm, wenn --no-pager nicht angegeben ist, setzt $PAGER außer Kraft. Falls weder $SYSTEMD_PAGER noch $PAGER gesetzt sind, wird eine Reihe wohlbekannter Textanzeigeprogrammimplementierungen der Reihe nach ausprobiert, einschließlich less(1) und more(1), bis eines gefunden wird. Falls keine Textanzeigeprogrammimplementierung gefunden wird, wird keines aufgerufen. Setzen der Umgebungsvariablen auf die leere Zeichenkette oder den Wert »cat« ist äquivalent zur Übergabe von --no-pager.

$SYSTEMD_LESS
    Setzt die an less übergebenen Optionen (standardmäßig »FRSXMK«) außer Kraft.

    Benutzer könnten insbesondere zwei Optionen ändern wollen:

    K
        Diese Option weist den Seitenbetrachter an, sich sofort beim Druck von Strg-C zu beenden. Um less die Handhabung von Strg-C selbst zum Umschalten auf die Eingabeaufforderung zu erlauben, setzen Sie diese Option zurück.

        Falls der Wert von $SYSTEMD_LESS kein »K« enthält und less das aufgerufene Textanzeigeprogramm ist, wird Strg+C durch das Programm ignoriert und muss durch das Textanzeigeprogramm selbst gehandhabt werden.

    X
        Diese Option weist den Seitenbetrachter an, keine Termcap-Initialisierungs- und -Deinitalisierungszeichenketten an das Terminal zu senden. Dies ist standardmäßig gesetzt, damit die Darstellung von Befehlen selbst nach dem Beenden des Seitenanzeigeprogramms sichtbar bleibt. Allerdings verhindert dies, dass ein Teil der Funktionalität des Seitenbetrachtungsprogramms funktioniert, insbesondere kann die Ausgabe des Seitenbetrachtungsprogramms nicht mit der Maus durchlaufen werden.

    Siehe less(1) für weitere Ausführungen.

$SYSTEMD_LESSCHARSET
    Setzt den an less übergebenen Zeichensatz (standardmäßig »utf-8«, falls das aufrufende Terminal als UTF-8-kompatibel erkannt wurde) außer Kraft.

SIEHE AUCH

systemd(1), logind.conf(5)

ANMERKUNGEN

1.  Entwicklerdokumentation für die Unterdrückungssperre
    https://www.freedesktop.org/wiki/Software/systemd/inhibit

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.